function [loc_cov_year] = get_mtr_pp_covari_attrib_year(bins, COVARIATES_ATTRIB)
%
%   get year covariates
%
% -------
% INPUTS:
%
%   bins                : time bins
%   COVARIATES_ATTRIB   : see the config file.
%
% --------
% OUTPUTS:
%
%   loc_cov_year        : covariate matrix for year
%
% -------------
%
% Gunhee Kim


% (1) Year Covariates
if strfind(COVARIATES_ATTRIB, 'y'),

    % number of bins
    num_bin = length(bins.tick) ;

    % get yearly co-variance matrix
    date_year = fn_time_year(bins.tick) ;

    % initial and end years
    yearIni = date_year(1) ;
    yearEnd = date_year(end) ;

    [foo date_year] = histc(date_year, [yearIni:yearEnd]) ;
    loc_cov_year = sparse(1:num_bin, date_year,ones(1,num_bin), ...
        num_bin, yearEnd-yearIni+1);
    clear foo date_year ;
else
    loc_cov_year = [] ;
end

end

